Debian Bug report logs - #328629
parted: uses a deprecated ioctl interface for scsi

version graph

Package: parted; Maintainer for parted is Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>; Source for parted is src:parted.

Reported by: Frans Pop <elendil@planet.nl>

Date: Fri, 16 Sep 2005 13:33:05 UTC

Severity: important

Tags: d-i, upstream

Found in versions parted/1.6.24-2, parted/1.7.1-2

Done: Phillip Susi <psusi@ubuntu.com>

Bug is archived. No further changes may be made.

Forwarded to bug-parted@gnu.org

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, aragorn@tiscali.nl, Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>:
Bug#328629; Package parted. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <aragorn@tiscali.nl>:
New Bug report received and forwarded. Copy sent to aragorn@tiscali.nl, Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Frans Pop <aragorn@tiscali.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: parted: uses a deprecated ioctl interface for scsi
Date: Fri, 16 Sep 2005 15:25:21 +0200
Package: parted
Version: 1.6.24-2
Severity: important
Tags: d-i

During a d-i installation in vmware I noticed the following warnings in the 
logfiles:
program parted_devices is using a deprecated SCSI ioctl, please convert it to SG_IO
program parted_server is using a deprecated SCSI ioctl, please convert it to SG_IO

This seems to originate from the following kernel code in
drivers/scsi/scsi_ioctl.c
        /* Check for deprecated ioctls ... all the ioctls which don't
         * follow the new unique numbering scheme are deprecated */
        switch (cmd) {
        case SCSI_IOCTL_SEND_COMMAND:
        case SCSI_IOCTL_TEST_UNIT_READY:
        case SCSI_IOCTL_BENCHMARK_COMMAND:
        case SCSI_IOCTL_SYNC:
        case SCSI_IOCTL_START_UNIT:
        case SCSI_IOCTL_STOP_UNIT:
                printk(KERN_WARNING "program %s is using a deprecated SCSI "
                       "ioctl, please convert it to SG_IO\n", current->comm);

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.8-16.0508-2
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)



Tags added: upstream Request was from Otavio Salvador <otavio@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to bug-parted@gnu.org. Request was from Otavio Salvador <otavio@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Frans Pop <aragorn@tiscali.nl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #14 received at 328629-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 328629-close@bugs.debian.org
Subject: Bug#328629: fixed in manpages 2.08-1
Date: Thu, 17 Nov 2005 23:02:09 -0800
Source: manpages
Source-Version: 2.08-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.08-1_all.deb
  to pool/main/m/manpages/manpages-dev_2.08-1_all.deb
manpages_2.08-1.diff.gz
  to pool/main/m/manpages/manpages_2.08-1.diff.gz
manpages_2.08-1.dsc
  to pool/main/m/manpages/manpages_2.08-1.dsc
manpages_2.08-1_all.deb
  to pool/main/m/manpages/manpages_2.08-1_all.deb
manpages_2.08.orig.tar.gz
  to pool/main/m/manpages/manpages_2.08.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 328629@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 18 Nov 2005 07:46:45 +0100
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.08-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Martin Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 263756 314435 322934 323621 325115 326720 328629
Changes: 
 manpages (2.08-1) unstable; urgency=low
 .
   * New upstream release, with the following changes
     - Add _POSIX_C_SOURCE 199309 to nanosleep(2) prototype (Closes: Bug#314435)
     - Clarified arguments in outb(2) (Closes: Bug#263756)
     - Corrected prototype in poll(2) (Closes: Bug#322934)
     - Removed misleading text in rand(3) (Closes: Bug#328629)
     - Correction of description of carg(3) (Closes: Bug#326720)
     - Removed reference to rpc_secure(3) in rpc(3) (Closes: Bug#325115)
     - Mention pivot-root in initrd(4) (Closes: Bug#323621)
Files: 
 6682770978e807df9d68cc3d1ee87677 584 doc - manpages_2.08-1.dsc
 0b3cca8825ac6980fdc22d47d23c6888 1050767 doc - manpages_2.08.orig.tar.gz
 929aaee8838745ccb7af2bf4bb1596f1 44697 doc - manpages_2.08-1.diff.gz
 abf56fc177c2af5490b962f301a2b4b2 402880 doc important manpages_2.08-1_all.deb
 67dc6340a6b039bb1fb74604714347cd 1104406 doc standard manpages-dev_2.08-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDfXllW5ql+IAeqTIRAjEWAJ4rAV2qjPqtyYu0RtGiykphDcUs2ACdH6Cy
cIx6c2EfU8aeF/mi+qAA770=
=l+s0
-----END PGP SIGNATURE-----




Bug reopened, originator not changed. Request was from Otavio Salvador <otavio@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Otavio Salvador <otavio@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Frans Pop <aragorn@tiscali.nl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #21 received at 328629-done@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@debian.org>
To: 328629-done@bugs.debian.org
Subject: Looks fixed
Date: Thu, 01 Jun 2006 18:43:04 -0300
Version: 1.7.0-1

Hello,

We did a big refactoring in our code while doing the development of
1.7.0 version and I think that this bug was solve together of
it. Please reopen it if it's still reproducible.

Thanks,

-- 
        O T A V I O    S A L V A D O R
---------------------------------------------
 E-mail: otavio@debian.org      UIN: 5906116
 GNU/Linux User: 239058     GPG ID: 49A5F855
 Home Page: http://www.freedom.ind.br/otavio
---------------------------------------------
"Microsoft gives you Windows ... Linux gives
 you the whole house."



Information forwarded to debian-bugs-dist@lists.debian.org, Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>:
Bug#328629; Package parted. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <aragorn@tiscali.nl>:
Extra info received and forwarded to list. Copy sent to Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #26 received at 328629@bugs.debian.org (full text, mbox):

From: Frans Pop <aragorn@tiscali.nl>
To: 328629@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#328629 closed by Otavio Salvador <otavio@debian.org> (Looks fixed)
Date: Mon, 19 Jun 2006 17:20:53 +0200
[Message part 1 (text/plain, inline)]
found 328629 1.7.1-2
thanks

> We did a big refactoring in our code while doing the development of
> 1.7.0 version and I think that this bug was solve together of
> it. Please reopen it if it's still reproducible.

In an installation using:
Package: libparted1.7-udeb
Version: 1.7.1-2

I still see the same warnings in the syslog.

Nice try, but no cigar ;-)
[Message part 2 (application/pgp-signature, inline)]

Bug marked as found in version 1.7.1-2. Request was from Frans Pop <aragorn@tiscali.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reopened, originator not changed. Request was from Frans Pop <aragorn@tiscali.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug submitter from Frans Pop <aragorn@tiscali.nl> to Frans Pop <elendil@planet.nl>. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>:
Bug#328629; Package parted. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #37 received at 328629@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 328629@bugs.debian.org
Subject: #328629: parted: uses a deprecated ioctl interface for scsi
Date: Wed, 11 Apr 2007 19:15:21 +0200
[Message part 1 (text/plain, inline)]
Is there any news on this issue? We are still seeing these warnings in the 
installer and I have no idea how long the kernel maintainers are going to 
keep backwards compatibility for this.

Note that this report is now over 1,5 years old!

Cheers,
FJP
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Phillip Susi <psusi@ubuntu.com>:
You have taken responsibility. (Thu, 13 Dec 2012 15:48:09 GMT) Full text and rfc822 format available.

Notification sent to Frans Pop <elendil@planet.nl>:
Bug acknowledged by developer. (Thu, 13 Dec 2012 15:48:09 GMT) Full text and rfc822 format available.

Message #42 received at 328629-done@bugs.debian.org (full text, mbox):

From: Phillip Susi <psusi@ubuntu.com>
To: 328629-done@bugs.debian.org
Date: Thu, 13 Dec 2012 10:44:28 -0500
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

This does indeed appear to have been fixed way back in 1.7: parted now
tries to get the information from sysfs first before falling back to
the deprecated ioctl.  I installed wheezy last night and did not see
the message about the deprecated ioctl, so if you still see this, make
sure sysfs is mounted.

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.17 (MingW32)
Comment: Using GnuPG with undefined - http://www.enigmail.net/

iQEcBAEBAgAGBQJQyffcAAoJEJrBOlT6nu75Q2kH/1G1ITqFSplgJpKZ8LV6nM1h
G6rrcf9xhutZkXCY4sS5Hy6kmAWezujt1ugXcNpCAaSePSthhK+A6QUCz+1KjYEB
+VSyxabFevWj35jkRcuKWWupkRR0DAAYK0gzjSJY/+1w0v/MWGtGjQOOdg+E9+19
2rdeZdxzAoP/mALEp7GMFCZ1vzqPwkGQjkp86XUHx1SFpRSOPeMHUTymcyYUx0hz
VbToANlOD+gPNfV24czPxY5w96tKmCWnHhYzR9MKlCdBt0M8/P3YuJ1+3l6Evp3z
stz4lwj8irWPMwSqOMaPFi0Tqw4U9YZGBmrLJHSQJitri7q6le2oIRzRlQhcmME=
=94v/
-----END PGP SIGNATURE-----



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 11 Jan 2013 07:26:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:54:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.